QXmpp Version:0.7.6

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Enumerations
- Enumerator
- Properties

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x

All Classes Functions Variables Enumerations Enumerator Properties Groups

### - a -

- AbortError : QXmppTransferJob
- Active : QXmppMessage
- ActiveState : QXmppCall
- AnyMessage : QXmppLogger
- AnyMethod : QXmppTransferJob
- Available : QXmppPresence
- Away : QXmppPresence

### - b -

- Both : QXmppRosterIq::Item

### - c -

- Cancel : QXmppDataForm
- Chat : QXmppPresence
- Composing : QXmppMessage
- ConfigurationAction : QXmppMucRoom
- ConnectedState : QXmppClient
- ConnectingState : QXmppCall , QXmppClient

### - d -

- DebugMessage : QXmppLogger
- DisconnectedState : QXmppClient
- DisconnectingState : QXmppCall
- DND : QXmppPresence

### - e -

- Error : QXmppIq , QXmppPresence

### - f -

- FileAccessError : QXmppTransferJob
- FileCorruptError : QXmppTransferJob
- FileLogging : QXmppLogger
- FinishedState : QXmppCall , QXmppTransferJob
- Form : QXmppDataForm
- Format_Invalid : QXmppVideoFrame
- Format_RGB24 : QXmppVideoFrame
- Format_RGB32 : QXmppVideoFrame
- Format_UYVY : QXmppVideoFrame
- Format_YUV420P : QXmppVideoFrame
- Format_YUYV : QXmppVideoFrame
- From : QXmppRosterIq::Item

### - g -

- Get : QXmppIq
- Gone : QXmppMessage

### - h -

- HostType : QXmppJingleCandidate

### - i -

- Inactive : QXmppMessage
- InBandMethod : QXmppTransferJob
- IncomingDirection : QXmppTransferJob , QXmppCall
- InformationMessage : QXmppLogger
- Invisible : QXmppPresence

### - k -

- KeepAliveError : QXmppClient
- KickAction : QXmppMucRoom

### - n -

- NoAction : QXmppMucRoom
- NoError : QXmppClient , QXmppTransferJob
- NoLogging : QXmppLogger
- NoMessage : QXmppLogger
- NoMethod : QXmppTransferJob
- None : QXmppRosterIq::Item , QXmppMessage , QXmppDataForm
- NonSASLDigest : QXmppConfiguration
- NonSASLPlain : QXmppConfiguration
- NotSet : QXmppRosterIq::Item

### - o -

- OfferState : QXmppTransferJob
- Online : QXmppPresence
- OutgoingDirection : QXmppCall , QXmppTransferJob

### - p -

- Paused : QXmppMessage
- PeerReflexiveType : QXmppJingleCandidate
- PermissionsAction : QXmppMucRoom
- Probe : QXmppPresence
- ProtocolError : QXmppTransferJob

### - r -

- ReceivedMessage : QXmppLogger
- RelayedType : QXmppJingleCandidate
- Remove : QXmppRosterIq::Item
- Result : QXmppDataForm , QXmppIq , QXmppDialback

### - s -

- SentMessage : QXmppLogger
- ServerReflexiveType : QXmppJingleCandidate
- Set : QXmppIq
- SignalLogging : QXmppLogger
- SocketError : QXmppClient
- SocksMethod : QXmppTransferJob
- StartState : QXmppTransferJob
- StdoutLogging : QXmppLogger
- SubjectAction : QXmppMucRoom
- Submit : QXmppDataForm
- Subscribe : QXmppPresence
- Subscribed : QXmppPresence

### - t -

- TLSDisabled : QXmppConfiguration
- TLSEnabled : QXmppConfiguration
- TLSRequired : QXmppConfiguration
- To : QXmppRosterIq::Item
- Tone_0 : QXmppRtpAudioChannel
- Tone_1 : QXmppRtpAudioChannel
- Tone_2 : QXmppRtpAudioChannel
- Tone_3 : QXmppRtpAudioChannel
- Tone_4 : QXmppRtpAudioChannel
- Tone_5 : QXmppRtpAudioChannel
- Tone_6 : QXmppRtpAudioChannel
- Tone_7 : QXmppRtpAudioChannel
- Tone_8 : QXmppRtpAudioChannel
- Tone_9 : QXmppRtpAudioChannel
- Tone_A : QXmppRtpAudioChannel
- Tone_B : QXmppRtpAudioChannel
- Tone_C : QXmppRtpAudioChannel
- Tone_D : QXmppRtpAudioChannel
- Tone_Pound : QXmppRtpAudioChannel
- Tone_Star : QXmppRtpAudioChannel
- TransferState : QXmppTransferJob

### - u -

- Unavailable : QXmppPresence
- Unsubscribe : QXmppPresence
- Unsubscribed : QXmppPresence

### - v -

- VCardUpdateNone : QXmppPresence
- VCardUpdateNoPhoto : QXmppPresence
- VCardUpdateNotReady : QXmppPresence
- VCardUpdateValidPhoto : QXmppPresence
- Verify : QXmppDialback

### - w -

- WarningMessage : QXmppLogger

### - x -

- XA : QXmppPresence
- XmppStreamError : QXmppClient